Subject: [bug#37987] Add gitg

From: Mathieu Othacehe <[email-masked]>
Date: Wed, 30 Oct 2019 11:00:11 +0100

Hello Leo,

> The package contains failing tests, so I've disabled them altogether
> for now.  I've tried setting up an X display, thinking it could aid the
> situation, but that only leads to a timeout in another test.  I'm a bit
> at a loss here.

Your patch LGTM. About failing test, I see that nix runs them and has a
small fix to substitute bash path:

--8<---------------cut here---------------start------------->8---
    substituteInPlace tests/libgitg/test-commit.vala --replace "/bin/bash" "${bash}/bin/bash"
--8<---------------cut here---------------end--------------->8---

Have you tried something like that?

Thanks,

Mathieu